Subject: Re: bug#56155: 29.0.50; Options menu, toggle menu items not updated

From: Gerd Möllmann <[email-masked]>
Date: Wed, 29 Jun 2022 07:32:52 +0200

> On 2022-06-29,, at 1:38 , Daniel Martín <[email-masked]> wrote:
> 
> Stefan Kangas <[email-masked]> writes:
> 
>> Gerd Möllmann <[email-masked]> writes:
>> 
>>> What I don't know is if this can only be seen on macOS.  On macOS, one can
>>> select an option from the menu bar, re-open the Options menu and select another,
>>> wihout Emacs running anything in between the two selections that can itself set
>>> update_mode_lines.  If anything else sets update_mode_lines, the ill effect will
>>> not show up.  Just clicking in the text area runs a command...
>> 
>> FWIW, I can reproduce the issue consistently on my macOS machine, but
>> not on GNU/Linux.
> 
> That's interesting.  Could you put a breakpoint on that C function on
> GNU/Linux to see if it's called, for example, when you close the menu?
> That may be the key difference between macOS and the other operating
> systems.  I don't have a GNU/Linux system at hand right now, but I can
> investigate if needed.

I don't think it's necessary.  There are so many differences between toolkits in Emacs anyway, and f-m-l-u is portable in that sense.

> 
> (BTW, as an aside, getting a Lisp backtrace using LLDB on macOS is a bit
> time-consuming because of all the manual steps to print the pointer
> structures.  If I have time, I'd like to write an .lldbinit file with
> LLDB commands to make this process much simpler, although I don't know
> how many people are debugging Emacs using LLDB here.)

One people sits here.

GDB is currently not supported on macOS with Apple M1 says gdb-devel, and there is currently no one working on this that they know of.  So, I'm kind of stuck with LLDB for now.

If you get something working, please let me know.  The pressure of suffering is increasing, here.  I haven't got any further than a hello-world command so far.